/***************************************************************************
    ups.h  -  header for ups.c
    ------------------------
    begin	: pia lut 11 09:59:54 CET 2000
    copyright	: (C) 2000 by Tomasz Fiszer
    email	: profis@kki.net.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/
#ifndef _UPS_H_
#define _UPS_H_

#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <signal.h>
#include <unistd.h>
#include <time.h>
#include "defs.h"
#include "utils.h"
#include "strman.h"
#include "conf.h"
#include "comm.h"
#include "fifo.h"
#include "struct.h"

char	*GetUpsName(int);
int	GetUpsParameters(UPS_INFO *, int);
int	Code(UPS_INFO *);
void	CheckInfoMsg(UPS_INFO *);
void	CheckShutdownMsg(UPS_INFO *);
void	CheckUserShutdownCmd(UPS_INFO *);
void	FillFifoStruct(UPS_INFO_FIFO *, UPS_INFO);
void	StopThread();
int	CheckShutdown(UPS_INFO *);
int	Autotest(UPS_INFO *);
int	UPSAutotest(UPS_INFO *);
int	GetTabLoad(UPS_INFO *, int);
int	SwitchUPSToStandby(UPS_INFO *);
int	SwitchUPSFromStandby(UPS_INFO *);
int	LatchSysFlag(UPS_INFO *);
void	MainUPSLoop(void *);

#endif /*_UPS_H_*/
