/************************************************************************
 *  pslock.h -- (Header file) Lock file managing functions				*
 *  Copyright (C) 2000 Tomasz Fiszer <profis@friko7.onet.pl>		*
 *  All rights reserved.						*
 *  Portions Copyright by:						*
 *  	Brian Schau <bsc@fleggaard.dk>					*
 *      Facchetti Riccardo <fizban@tin.it>				*
 ************************************************************************/
#ifndef _PSLOCK_H_
#define _PSLOCK_H_

#include "defs.h"
#include "struct.h"

int Finish(UPS_INFO *);
int CheckLockFile(UPS_INFO *);
int CreateLockFile(UPS_INFO *, int);
void DeleteLockFile(UPS_INFO *);

#endif //_PSLOCK_H_
