#! /bin/sh
#
# psups       This shell script takes care of starting and stopping
#             the PowerSoft UPS monitoring daemon.
#

. /etc/rc.d/init.d/functions

case "$1" in
    start)
	if [ -x /usr/local/sbin/powersoft ]; then
	    /sbin/psman init
	    touch /var/lock/subsys/psups
	fi
    ;;
    stop)
	/sbin/psman stop
	rm -f /var/lock/subsys/psups
    ;;
    *)
    echo "Usage: $0 {start|stop}"
    exit 1
esac

exit 0
